petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCMGGetLevels

Gets the number of levels to use with MG.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGGetLevels(PC pc,PetscInt *levels)

Not Collective

### Input Parameter

pc -the preconditioner context

### Output parameter

levels -the number of levels

### See Also

PCMGSetLevels()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mg.c

### Examples

src/snes/examples/tutorials/ex12.c.html

### Implementations

PCMGGetLevels_MG in src/ksp/pc/impls/mg/mg.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages